Subject: [Vintage-race] SimpleSevens Update (wow! Remember me?) <vintage-race.autox.team.net>

From: John Donohoe <[email-masked]>
Date: Mon, 22 Apr 2013 09:57:54 -0700 (PDT)

Yes, crazy as life is lately I always try to maintain and update the website! I've made a few additions since the last time you've seen it I'm sure, so go ahead and take a For the most part I've merely been updating layouts of existing pages, but have obtained better images in some cases and there is in fact some NEW content as well!

Take a look, and enjoy!

Cheers,
John Donohoe
SimpleSevens.org
_______________________________________________
[email-masked]
Archive: http://www.team.net/archive
Unsubscribe: http://autox.team.net/mailman/options/vintage-race/[email-masked]